Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • Access Mode
  • Admin Group
  • Admin Space
  • Admin User
  • Admin Users
  • Attachments
  • Backup and Restore
  • Category
  • Child Content
  • Cluster information
  • Content Blueprint
  • Content Body
  • Content Descendant
  • Content Labels
  • Content Property
  • Content Resource
  • Content Restrictions
  • Content Version
  • Content Watchers
  • Global Permissions
  • GlobalColorScheme
  • Group
  • Instance Metrics
  • Label
  • Long Task
  • Server Information
  • Space
  • Space Label
  • Space Permissions
  • Space Property
  • Space Watchers
  • SpaceColorScheme
  • User
  • User Group
  • User Watch
  • Webhooks
  • Other operations
Server
Confluence Data Center / / REST API

Category

Postman Collection
OpenAPI
POST

Add a category to a space

Adds a category the description of a given {@link Space} identified by spaceKey.

Example request URI to add space category 'testCategory' to space with space key TEST:

https://example.com/confluence/rest/api/space/TEST/category/testCategory

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

spaceKey

string

Required
labelName

string

Required

Responses

a request has been successfully completed. A new label has been added or it already exist. No content is returned.

POST/rest/api/space/{spaceKey}/category/{labelName}
1 2 curl --request POST \ --url 'http://{baseurl}/confluence/rest/api/space/{spaceKey}/category/{labelName}'
DEL

Remove a category from a space

Removes a category from a space, identified by spaceKey.

Example request URI: https://example.com/confluence/rest/api/space/TEST/category/example-category

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

spaceKey

string

Required
categoryName

string

Required

Responses

Returned if the category is removed successfully.

DEL/rest/api/space/{spaceKey}/category/{categoryName}
1 2 curl --request DELETE \ --url 'http://{baseurl}/confluence/rest/api/space/{spaceKey}/category/{categoryName}'

Rate this page: